Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1536656 - Please add support for python3-perf
Summary: Please add support for python3-perf
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel-tools
Version: 28
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Laura Abbott
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: PYTHON3-UPSTREAM
TreeView+ depends on / blocked
 
Reported: 2018-01-19 20:45 UTC by Jaroslav Škarvada
Modified: 2018-06-23 20:47 UTC (History)
4 users (show)

Fixed In Version: kernel-tools-4.17.2-200.fc28
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-06-23 20:47:40 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)
Proposed kernel patch to add python3 perf support (deleted)
2018-01-19 20:45 UTC, Jaroslav Škarvada
no flags Details | Diff
Proposed kernel-tools spec patch (deleted)
2018-01-19 20:46 UTC, Jaroslav Škarvada
no flags Details | Diff
Proposed kernel-tools spec patch (deleted)
2018-01-22 16:25 UTC, Jaroslav Škarvada
no flags Details | Diff
Proposed kernel patch to add python3 perf support (deleted)
2018-01-23 13:43 UTC, Jaroslav Škarvada
no flags Details | Diff
Proposed kernel-tools spec patch (deleted)
2018-04-30 10:50 UTC, Jaroslav Škarvada
no flags Details | Diff

Description Jaroslav Škarvada 2018-01-19 20:45:56 UTC
Description of problem:
Tuned is consumer of python-perf, but we need to switch it to python3. Missing python3-perf is the only blocker for us at the moment.

Version-Release number of selected component (if applicable):
kernel-tools-4.15.0-0.rc8.git0.1.fc28

How reproducible:
Always

Steps to Reproduce:
1. Try to install python3-perf package

Actual results:
No python3-perf package

Expected results:
Python3-perf package

Additional info:
I created initial python3-perf port which seems to work for us (but wasn't tested too much, so any improvements are welcome). I am trying to get it to the kernel upstream (I will post more details later), patch for kernel-4.15-rc8 is attached.

Scratch build:
https://koji.fedoraproject.org/koji/taskinfo?taskID=24305188

The x86_64 RPMS and SRPM in case the scratch build is gone:
https://jskarvad.fedorapeople.org/kernel-tools/

Comment 1 Jaroslav Škarvada 2018-01-19 20:46:48 UTC
Created attachment 1383596 [details]
Proposed kernel-tools spec patch

Comment 2 Jaroslav Škarvada 2018-01-22 10:15:36 UTC
I re-sent the patch there:
https://www.spinics.net/lists/linux-perf-users/msg05095.html

and notified Arnaldo <acme AT kernel.org>

Comment 3 Jaroslav Škarvada 2018-01-22 16:25:33 UTC
Created attachment 1384527 [details]
Proposed kernel-tools spec patch

Updated version of the patch to apply to kernel-tools-4.15.0-0.rc8.git0.2.fc28 SPEC

Comment 4 Laura Abbott 2018-01-23 13:16:14 UTC
Thanks for doing this, we were just talking about python3 for perf. My preference is to get an Ack from upstream for the kernel side portion before bringing in the patches.

Comment 5 Jaroslav Škarvada 2018-01-23 13:34:49 UTC
(In reply to Laura Abbott from comment #4)
> Thanks for doing this, we were just talking about python3 for perf. My
> preference is to get an Ack from upstream for the kernel side portion before
> bringing in the patches.

Yes, sure, it was my intention to get the upstream ack first. I filled this bugzilla for the issue to be tracked. Also adding Arnaldo.

Comment 6 Jaroslav Škarvada 2018-01-23 13:40:19 UTC
Interesting that the patch now shows as deleted - bugzilla will never stop surprising me :) I will re-upload it here just for the record.

Comment 7 Jaroslav Škarvada 2018-01-23 13:43:52 UTC
Created attachment 1384874 [details]
Proposed kernel patch to add python3 perf support

Comment 8 Fedora End Of Life 2018-02-20 15:31:56 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 28 development cycle.
Changing version to '28'.

Comment 9 Jaroslav Škarvada 2018-02-20 17:23:41 UTC
FYI it's slowly moving upstream:
https://git.kernel.org/pub/scm/linux/kernel/git/acme/linux.git/commit/?id=66dfdff03d19

Comment 10 Jaroslav Škarvada 2018-02-21 10:57:36 UTC
(In reply to Jaroslav Škarvada from comment #9)
> FYI it's slowly moving upstream:
> https://git.kernel.org/pub/scm/linux/kernel/git/acme/linux.git/commit/
> ?id=66dfdff03d19

https://git.kernel.org/pub/scm/linux/kernel/git/tip/tip.git/commit/?id=763f3b8677c50dcf8c7f08eb108595ffbd113c57

Comment 11 Jaroslav Škarvada 2018-02-21 11:00:09 UTC
(In reply to Jaroslav Škarvada from comment #10)
> (In reply to Jaroslav Škarvada from comment #9)
> > FYI it's slowly moving upstream:
> > https://git.kernel.org/pub/scm/linux/kernel/git/acme/linux.git/commit/
> > ?id=66dfdff03d19
> 
> https://git.kernel.org/pub/scm/linux/kernel/git/tip/tip.git/commit/
> ?id=763f3b8677c50dcf8c7f08eb108595ffbd113c57

So I guess it will get into kernel-4.17.

Comment 12 Bruce Jerrick 2018-02-23 13:07:12 UTC
Is this related to the following being missing from the F26 updates repo (x86_64, at least) as of kernel-4.15.3-200.fc26.x86_64 ?

  kernel-tools
  kernel-tools-libs
  kernel-tools-libs-devel
  perf
  python-perf

Comment 13 Laura Abbott 2018-02-23 16:06:44 UTC
No. perf is still pending in testing because nobody left karma on the update (it was split from the kernel) Please leave karma if you've tested it https://bodhi.fedoraproject.org/updates/FEDORA-2018-5b97f619fe

Comment 14 Jaroslav Škarvada 2018-04-19 16:05:29 UTC
There is 4.17-rc1 already released upstream and built for rawhide, could you add support to the spec file?

Comment 15 Jaroslav Škarvada 2018-04-30 10:50:17 UTC
Created attachment 1428774 [details]
Proposed kernel-tools spec patch

Updated spec patch for the kernel-tools-4.17.0-0.rc2.git0.1

The kernel patch is no more needed, because it's already present in the linux-4.17 upstream.

The build process could be optimized, but it works.

Comment 16 Laura Abbott 2018-05-08 01:37:47 UTC
Applied your patch to the rawhide branch, should be picked up with the -rc build next monday.

Comment 17 Jaroslav Škarvada 2018-05-09 10:12:37 UTC
(In reply to Laura Abbott from comment #16)
> Applied your patch to the rawhide branch, should be picked up with the -rc
> build next monday.

Thanks.

Comment 18 Fedora Update System 2018-06-19 00:46:57 UTC
kernel-tools-4.17.2-200.fc28 kernel-4.17.2-200.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-2c6bd93875

Comment 19 Fedora Update System 2018-06-19 16:57:31 UTC
kernel-4.17.2-200.fc28, kernel-tools-4.17.2-200.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-2c6bd93875

Comment 20 Fedora Update System 2018-06-23 20:47:40 UTC
kernel-4.17.2-200.fc28, kernel-tools-4.17.2-200.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.